GET/payments/requests/{requestId}/automatic-pix/schedules/{paymentId}

Get an automatic PIX scheduled payment

Recovers an automatic PIX scheduled payment by id

Parameters

Path Parameters

NameType
requestIdrequired
string (uuid)
paymentIdrequired
string (uuid)

Responses

200Recovers an automatic PIX scheduled payment by id
object

Automatic PIX payment detail with additional fields

All of:
part 1object

Automatic PIX payment

idrequiredstring

Payment primary identifier

statusrequiredstring

Status of an individual recurring PIX payment. - `SCHEDULED`: the payment has been scheduled at the institution. - `CREATED`: the payment is created and pending execution. - `COMPLETED`: the payment was confirmed. - `CANCELED`: the payment was canceled. - `ERROR`: the payment failed (see `errorDetail`).

SCHEDULEDCREATEDCOMPLETEDCANCELEDERROR
amountrequirednumber

Payment amount

descriptionstring

Payment description

daterequiredstring (date)

Payment scheduled date

endToEndIdstring

Payment end to end identifier

errorDetailobject

Details about an error that occurred with the automatic PIX payment

clientPaymentIdstring

External identifier for the payment

recipientIdrequiredstring (uuid)

Payment recipient identifier

isFirstPaymentboolean

Indicates if this is the first payment

attemptsobject[]
part 2object
scheduledStatusReachedrequiredboolean

Indicates whether the payment reached the scheduled status in the last attempt. Useful to determine if a retry can be executed.

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/payments/requests/{requestId}/automatic-pix/schedules/{paymentId}' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Path Parameters